Bug 1303884 - openssh-clients package missing in rhgs-server-docker
openssh-clients package missing in rhgs-server-docker
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhgs-server-container (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity high
: ---
: RHGS 3.1.2
Assigned To: Mohamed Ashiq
Shruti Sampat
: ZStream
Depends On:
Blocks: 1260783
  Show dependency treegraph
 
Reported: 2016-02-02 05:43 EST by Shruti Sampat
Modified: 2016-07-07 08:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhgs-server-docker-3.1.2-7
Doc Type: Bug Fix
Doc Text:
Cause: Openssh-clients package were missing in RHGS image Consequence: Affects Geo-replication in RHGS image. Fix: Included openssh-clients package in RHGS image Result: Geo-replication works fine.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 08:56:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shruti Sampat 2016-02-02 05:43:27 EST
Description of problem:
-----------------------

openssh-clients package is not present in the latest image of RHGS container.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
rhgs-server-rhel7:3.1.2-6

How reproducible:
------------------
100%

Steps to Reproduce:
-------------------
1. `rpm -q openssh-clients' inside the RHGS docker container.

Actual results:
---------------
openssh-clients package is absent in the container.

Expected results:
-----------------
openssh-clients package should be present in the RHGS container image.
Comment 4 Shruti Sampat 2016-02-11 09:53:07 EST
Verified as fixed in rhgs-server-docker-3.1.2-7 -

-bash-4.2# docker ps
CONTAINER ID        IMAGE                                                                            COMMAND             CREATED             STATUS              PORTS               NAMES
8800780cac82        rcm-img-docker01.build.eng.bos.redhat.com:5001/rhgs3/rhgs-server-rhel7:3.1.2-7   "/usr/sbin/init"    3 minutes ago       Up 3 minutes                            gnode

-bash-4.2# docker exec -ti 8800780cac8271c7a5617ec3ab64e4ebabae6cd26a471e1e9ff15d9f3a2351a8 /bin/bash

[root@vm4-rhsqa13 /]# rpm -q openssh-clients
openssh-clients-6.6.1p1-23.el7_2.x86_64

Note You need to log in before you can comment on or make changes to this bug.